libdbd-firebird-perl_1.31-1+b1_i386.deb


Advertisement

Description

libdbd-firebird-perl - Perl DBI driver for Firebird RDBMS server

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libdbd-firebird-perl_1.31-1+b1_i386.deb
Package name libdbd-firebird-perl
Package version 1.31
Package release 1+b1
Package architecture i386
Package type deb
Category devel::lang:perl devel::library implemented-in::c implemented-in::perl perl role::devel-lib
Homepage https://metacpan.org/release/DBD-Firebird
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 104.79 KB
Installed size 430.00 KB
DBD::Firebird is a Perl Database Driver module which works with the generic
DBI module, adding support for Firebird databases. It enables access to
Firebird databases from Perl scripts.

Alternatives

Package Version Architecture Repository
libdbd-firebird-perl_1.31-1+b1_amd64.deb 1.31 amd64 Debian Main
libdbd-firebird-perl - - -

Requires

Name Value
libc6 >= 2.4
libdbi-perl -
libfbclient2 >= 2.5.0.25784~ReleaseCandidate1.ds2
perl >= 5.28.0-3
perl-dbdabi-94 -
perlapi-5.28.0 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libdbd-firebird-perl_1.31-1+b1_i386.deb
Source Package libdbd-firebird-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdbd-firebird-perl deb package:
    # sudo apt-get install libdbd-firebird-perl

Files

Path
/usr/lib/i386-linux-gnu/perl5/5.28/DBD/Firebird.pm
/usr/lib/i386-linux-gnu/perl5/5.28/DBD/FirebirdEmbedded.pm
/usr/lib/i386-linux-gnu/perl5/5.28/DBD/Firebird/GetInfo.pm
/usr/lib/i386-linux-gnu/perl5/5.28/DBD/Firebird/TableInfo.pm
/usr/lib/i386-linux-gnu/perl5/5.28/DBD/Firebird/TypeInfo.pm
/usr/lib/i386-linux-gnu/perl5/5.28/DBD/Firebird/TableInfo/Basic.pm
/usr/lib/i386-linux-gnu/perl5/5.28/DBD/Firebird/TableInfo/Firebird21.pm
/usr/lib/i386-linux-gnu/perl5/5.28/auto/DBD/Firebird/Firebird.so
/usr/lib/i386-linux-gnu/perl5/5.28/auto/DBD/FirebirdEmbedded/FirebirdEmbedded.so
/usr/share/doc/libdbd-firebird-perl/README
/usr/share/doc/libdbd-firebird-perl/changelog.Debian.gz
/usr/share/doc/libdbd-firebird-perl/changelog.Debian.i386.gz
/usr/share/doc/libdbd-firebird-perl/changelog.gz
/usr/share/doc/libdbd-firebird-perl/copyright
/usr/share/man/man3/DBD::Firebird.3pm.gz
/usr/share/man/man3/DBD::Firebird::TableInfo::Basic.3pm.gz
/usr/share/man/man3/DBD::FirebirdEmbedded.3pm.gz

Changelog

2017-12-05 - Damyan Ivanov <dmn@debian.org>
libdbd-firebird-perl (1.31-1) unstable; urgency=medium
* declare conformance with Policy 4.1.2 (no changes needed)
* New upstream version 1.31
2017-12-01 - Damyan Ivanov <dmn@debian.org>
libdbd-firebird-perl (1.28-1) unstable; urgency=medium
* New upstream version 1.28
+ Closes: #883183 -- FTBFS on i386 - test failure
* bump years of upstream copyright
* skip t/000-check-dependencies.t during smoke autopkgtests
* update build dependencies
2017-11-29 - Damyan Ivanov <dmn@debian.org>
libdbd-firebird-perl (1.26-1) unstable; urgency=medium
* New upstream version 1.26
2017-10-04 - Damyan Ivanov <dmn@debian.org>
libdbd-firebird-perl (1.25-1) unstable; urgency=medium
* New upstream version 1.25
* Closes: #877720 -- bad conversion for numerics between -1 and 0
* Declare conformance witrh Policy 4.1.1; no changes needed
* rules: export FIREBIRD_{HOME,INCLUDE,LIB} to help Makefile.PL find
Firebird
2016-10-11 - Damyan Ivanov <dmn@debian.org>
libdbd-firebird-perl (1.24-1) unstable; urgency=medium
* New upstream version 1.24
* adapt to firebird 3
+ require firebird-dev with directories matching fb_config output
+ drop build-dependency on libfbembed2.5
+ add build-dependency on firebird3.0-server-core for embedded tests
* drop spelling patch applied upstream
2016-08-12 - Nick Morrott <knowledgejunkie@gmail.com>
libdbd-firebird-perl (1.22-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
[ Nick Morrott ]
* Import upstream version 1.22
* Declare compliance with Debian Policy 3.9.8
* Refresh build dependencies
* debian/rules: export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
* Add 01-spelling-error-in-binary-and-manpage.patch
* Add debian/upstream/metadata
2015-09-26 - Damyan Ivanov <dmn@debian.org>
libdbd-firebird-perl (1.21-1) unstable; urgency=medium
* Imported Upstream version 1.21
* bump years of upstream copyright
2015-08-21 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libdbd-firebird-perl (1.20-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.20
* Remove all patches. They are applied by upstream.
* Declare compliance with Debian policy 3.9.6
* Add autopkgtest-pkg-perl
* Add libtest-deep-perl as build dependency
2015-04-01 - Damyan Ivanov <dmn@debian.org>
libdbd-firebird-perl (1.18-2) unstable; urgency=high
* High urgency for security fixes
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Damyan Ivanov ]
* Add patch from Stefan Roas fixing potential buffer overflow in certain
error conditions (CVE-2015-2788)
(Closes: #780925)
* add patch from upstream Git replacing all sprintf usage with snprintf
2014-04-02 - Xavier Guimard <x.guimard@free.fr>
libdbd-firebird-perl (1.18-1) unstable; urgency=medium
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Xavier Guimard ]
* Imported Upstream version 1.18
* Update debian copyright years
* Remove patch disabling threaded events tests now included upstream

See Also

Package Description
libdbd-freetds_0.9.0-6+b1_i386.deb Freetds database server driver for libdbi
libdbd-ldap-perl_0.20-1_all.deb Perl extension for LDAP access via an SQL/Perl DBI interface
libdbd-mariadb-perl_1.11-3_i386.deb Perl5 database interface to the MariaDB/MySQL databases
libdbd-mock-perl_1.45-2_all.deb Mock database driver for testing
libdbd-mysql-perl_4.050-2_i386.deb Perl5 database interface to the MariaDB/MySQL database
libdbd-mysql_0.9.0-6+b1_i386.deb MySQL database server driver for libdbi
libdbd-odbc-perl_1.60-1_i386.deb Perl Database Driver implementing ODBC for DBI
libdbd-pg-perl_3.7.4-3_i386.deb Perl DBI driver for the PostgreSQL database server
libdbd-pgsql_0.9.0-6+b1_i386.deb PostgreSQL database server driver for libdbi
libdbd-sqlite2-perl_0.38-1+b1_i386.deb Perl DBI driver with a self-contained RDBMS (SQLite2 version)
libdbd-sqlite3-perl_1.62-3_i386.deb Perl DBI driver with a self-contained RDBMS
libdbd-sqlite3_0.9.0-6+b1_i386.deb SQLite3 database driver for libdbi
libdbd-sqlite_0.9.0-6+b1_i386.deb SQLite database driver for libdbi
libdbd-sybase-perl_1.14-1+b6_i386.deb Sybase/MS SQL database driver for the DBI module
libdbd-xbase-perl_1.08-1_all.deb Perl module to access xbase files (optionally through DBI)
Advertisement
Advertisement